package com.qmth.themis.business.bean.exam;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.enums.MonitorVideoSourceEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("获取移动端监考二维码参数信息")
public class QrMobileMonitorParamBean {

    @ApiModelProperty("监考源")
    private MonitorVideoSourceEnum source;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("考试记录ID")
    private Long recordId;

    public MonitorVideoSourceEnum getSource() {
        return source;
    }

    public void setSource(MonitorVideoSourceEnum source) {
        this.source = source;
    }

    public Long getRecordId() {
        return recordId;
    }

    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

}
